### Method

# Gtk Editabledelegate_get_accessible_platform_state

since: 4.10

#### Declaration [src]

    gboolean
    gtk_editable_delegate_get_accessible_platform_state (
      GtkEditable* editable,
      GtkAccessiblePlatformState state
    )

#### Description [src]

Retrieves the accessible platform state from the editable delegate.

This is an helper function to retrieve the accessible state for `GtkEditable` interface implementations using a delegate pattern.

You should call this function in your editable widget implementation of the `Gtk.AccessibleInterface.get_platform_state` virtual function, for instance:

    static void
    accessible_interface_init (GtkAccessibleInterface *iface)
    {
      iface->get_platform_state = your_editable_get_accessible_platform_state;
    }

    static gboolean
    your_editable_get_accessible_platform_state (GtkAccessible *accessible,
                                                 GtkAccessiblePlatformState state)
    {
      return gtk_editable_delegate_get_accessible_platform_state (GTK_EDITABLE (accessible), state);
    }

Available since: 4.10

#### Parameters

`state`

  Type: `GtkAccessiblePlatformState`

  What kind of accessible state to retrieve.

#### Return value

Type: `gboolean`

No description available.